Subject: [PATCH V2 0/8] ARM: OMAP3+: support cpufreq-cpu0 for device tree boot

From: [email-masked] (Kevin Hilman)
Date: Wed, 27 Mar 2013 13:37:58 -0700

Hi Nishanth,

Nishanth Menon <[email-masked]> writes:

> Hi,
> The following version 2 of the series arose from trying to use BeagleBoard-XM
> (OMAP3 variant) for doing CPU DVFS using cpufreq-cpu0. This series enables the
> generic cpufreq-cpu0 driver to be used in device tree enabled boot while
> maintaining support of the legacy omap-cpufreq driver when used in non device
> tree enabled boot.

Benoit should have a look and ack the DT data changes, but the general
direction is right IMO.  

I just had one comment on the last patch about how the omap-cpufreq
driver should be handled for the non-DT case.

Other than that, this is a great step in the right direction.  Thanks!

Kevin